Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Class InvalidStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.service.session.SessionException
                        |
                        +--com.novell.service.session.InvalidStateException

public class InvalidStateException
extends SessionException

Thrown by any Session method when the Session is not in a valid state for that operation.

Constructor Summary
`InvalidStateException(java.lang.String s)` Constructs an InvalidStateException with the specified detail message.
`InvalidStateException(java.lang.String s, java.lang.Throwable rootException)` Constructs an InvalidStateException with the specified detail message a root-cause exception.

Methods inherited from class com.novell.service.session.SessionException
`getRootCause, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidStateException

    public InvalidStateException(java.lang.String s)

  Constructs an InvalidStateException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - The detail message describing the exception.

### InvalidStateException

    public InvalidStateException(java.lang.String s,
                                 java.lang.Throwable rootException)

  Constructs an InvalidStateException with the specified detail message a root-cause exception. The root cause exception can be retrieved using the getRootCause() method.
  Parameters:
    `s` - The detail message describing the exception.
    `rootException` - The root-cause exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD